## dwb 20120628hg

=== Makefile ===
include config.mk

all: options $(TARGET)

options: 
	@echo Build options:
	@echo CC 				= $(CC)
	@echo CFLAGS 		= $(CFLAGS)
	@echo LDFLAGS 	= $(LDFLAGS)
	@echo CPPFLAGS 	= $(CPPFLAGS)

$(TARGET): $(SUBDIRS:%=%.subdir-make)

%.subdir-make:
	@$(MAKE) $(MFLAGS) -C $*

#@$(MAKE) -C $(SRCDIR)
#@$(MAKE) -C $(UTILDIR)

clean:  $(SUBDIRS:%=%.subdir-clean)

%.subdir-clean:
	@$(MAKE) $(MFLAGS) clean -C $*

install: $(TARGET) install-man install-data
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 $(SRCDIR)/$(TARGET) $(DESTDIR)$(BINDIR)/$(TARGET)

install-man: all
	install -d $(DESTDIR)$(MAN1DIR)
	install -m 644 $(DOCDIR)/$(MANFILE) $(DESTDIR)$(MAN1DIR)/$(MANFILE)

install-data: all
	@# Lib
	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(LIBDIR)
	for file in $(LIBDIR)/*; do \
		install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
	done
	@# Share
	install -d $(DESTDIR)$(DATADIR)/pixmaps
	install -m 644 $(SHAREDIR)/dwb.png $(DESTDIR)$(DATADIR)/pixmaps/dwb.png
	install -d $(DESTDIR)$(DATADIR)/applications
	install -m 644 $(SHAREDIR)/dwb.desktop $(DESTDIR)$(DATADIR)/applications/dwb.desktop
	@# Libjs
	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(LIBJSDIR)
	for file in $(LIBJSDIR)/*; do \
		install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
	done
	@# Hints
	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(JSDIR)
	install -m 644 $(JSDIR)/$(HINT_SCRIPT) $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(JSDIR)/$(HINT_SCRIPT)

uninstall: uninstall-man uninstall-data
	@echo "Removing executable from $(subst //,/,$(DESTDIR)$(BINDIR))"
	@$(RM) $(DESTDIR)$(BINDIR)/$(TARGET)

uninstall-man: 
	$(RM) $(DESTDIR)$(MAN1DIR)/$(MANFILE)

uninstall-data: 
	$(RM) -r $(DESTDIR)$(DATADIR)/$(REAL_NAME)
	$(RM) -r $(DESTDIR)$(DATADIR)/applications/dwb.desktop
	$(RM) -r $(DESTDIR)$(DATADIR)/pixmaps/dwb.png

distclean: clean

snapshot: 
	@$(MAKE) dist DISTDIR=$(REAL_NAME)-$(BUILDDATE) 

dist: distclean
	@echo "Creating tarball."
	@hg archive -t tgz $(DISTDIR).tar.gz

.PHONY: clean install uninstall distclean install-data install-man uninstall-man uninstall-data phony options

=== debian/changelog ===
dwb (20120628hg-1) unstable; urgency=low

  * New upstream snapshot version.
  * Fixes URL redirection issue  (Closes: #673279).
  * Enhance dwb security using hardening flags, build-dep on hardening-wrapper.
  * Recommends on wget and xterm, enhances downloading features.
  * Update local patch:
    - debian/patches/manpage patch, new upstream manpage introduced a typo.
  * Removed deprecated patches with updated release:
    - debian/patches/configh-spelling.patch (Upstream adopted).
    - debian/patches/nulldereferences.patch (Upstream backported).

 -- Nathan Owens <ndowens@gmx.us>  Thu, 28 Jun 2012 12:33:23 -0500

dwb (20120402hg-1) unstable; urgency=low

  * Initial Release (Closes: #656145).

 -- Nathan Owens <ndowens@gmx.us>  Tue, 03 Apr 2012 20:00:27 -0500

=== debian/control ===
Source: dwb
Section: web
Priority: extra
Maintainer: Nathan Owens <ndowens@gmx.us>
Build-Depends: debhelper (>= 8.0.0),
 libwebkitgtk-3.0-dev,
 hardening-wrapper
Standards-Version: 3.9.3
Homepage: http://portix.bitbucket.org/dwb/

Package: dwb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: wget, xterm
Description: lightweight webkit browser
 Highly customizable browser that can be easily configured through a web
 interface. Intends to be mostly keyboard driven.
 .
 Features:
  - vi like shortcuts
  - Link followed by keyboard hints
  - Bookmarks
  - Quickmarks
  - Cookie support
  - Proxy support
  - Userscript support
  - Tab completion for histroy, bookmarks, userscripts
  - Custom CSS Stylesheets
  - Tiling layouts
  - and more...

## dwb 20130503hg

=== Makefile ===
# See COPYING for copyright and license details

include config.mk

all: options $(TARGET)

options: 
	@echo Build options:
	@echo CC 				= $(CC)
	@echo CFLAGS 		= $(CFLAGS_OPTIONS)
	@echo LDFLAGS 	= $(LDFLAGS)
	@echo CPPFLAGS 	= $(CPPFLAGS)

$(TARGET): $(SUBDIRS:%=%.subdir-make)

%.subdir-make: $(SUBDIR_BUILD_FIRST:%=%.subdir-buildfirst)
	@$(MAKE) $(MFLAGS) -C $*

#$(SRCDIR)/%: $(SUBDIR_BUILD_FIRST:%=%.subdir-buildfirst)

%.subdir-buildfirst:
	@$(MAKE) $(MFLAGS) -C $*

clean:  $(SUBDIRS:%=%.subdir-clean) $(SUBDIR_BUILD_FIRST:%=%.subdir-cleanfirst)

%.subdir-clean %.subdir-cleanfirst:
	@$(MAKE) $(MFLAGS) clean -C $*


install: $(TARGET) install-man install-data
	@# Install binaries
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 $(SRCDIR)/$(TARGET) $(DESTDIR)$(BINDIR)/$(TARGET)
	install -m 755 $(TOOLDIR)/$(EXTENSION_MANAGER) $(DESTDIR)$(BINDIR)/$(EXTENSION_MANAGER)

install-man: all
	install -d $(DESTDIR)$(MAN1DIR)
	install -m 644 $(DOCDIR)/$(MANFILE) $(DESTDIR)$(MAN1DIR)/$(MANFILE)
	install -m 644 $(DOCDIR)/$(EXTENSION_MANAGER).1 $(DESTDIR)$(MAN1DIR)/$(EXTENSION_MANAGER).1
	install -d $(DESTDIR)$(MAN7DIR)
	install -m 644 $(DOCDIR)/$(MANAPI) $(DESTDIR)$(MAN7DIR)/$(MANAPI)

install-data: all
	@# Lib
	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(HTMLDIR)
	for file in $(HTMLDIR)/*; do \
		install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
	done
	@# Share
	install -d $(DESTDIR)$(DATADIR)/pixmaps
	install -m 644 $(SHAREDIR)/dwb.png $(DESTDIR)$(DATADIR)/pixmaps/dwb.png
	install -d $(DESTDIR)$(DATADIR)/applications
	install -m 644 $(SHAREDIR)/dwb.desktop $(DESTDIR)$(DATADIR)/applications/dwb.desktop
	@# Base javascript script
	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(JSDIR)
	install -m 644 $(JSDIR)/$(BASE_SCRIPT) $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(JSDIR)/$(BASE_SCRIPT)
	@# Libjs
	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(LIBJSDIR)
	for file in $(LIBJSDIR)/*; do \
		install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
	done
	@#Extensions
	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(EXTENSIONDIR)
	for file in $(EXTENSIONDIR)/*; do \
		install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
	done
ifdef BASHCOMPLETION
	install -d $(DESTDIR)/$(BASHCOMPLETION)
	install -m 644 $(CONTRIBDIR)/bash-completion $(DESTDIR)/$(BASHCOMPLETION)/dwb
	ln -s $(BASHCOMPLETION)/dwb $(DESTDIR)$(BASHCOMPLETION)/dwbem 
endif


uninstall: uninstall-man uninstall-data
	@echo "Removing executable from $(subst //,/,$(DESTDIR)$(BINDIR))"
	@$(RM) $(DESTDIR)$(BINDIR)/$(TARGET)
	@$(RM) $(DESTDIR)$(BINDIR)/$(EXTENSION_MANAGER)

uninstall-man: 
	$(RM) $(DESTDIR)$(MAN1DIR)/$(MANFILE)
	$(RM) $(DESTDIR)$(MAN1DIR)/$(EXTENSION_MANAGER).1
	$(RM) $(DESTDIR)$(MAN7DIR)/$(MANAPI)

uninstall-data: 
	$(RM) -r $(DESTDIR)$(DATADIR)/$(REAL_NAME)
	$(RM) -r $(DESTDIR)$(DATADIR)/applications/dwb.desktop
	$(RM) -r $(DESTDIR)$(DATADIR)/pixmaps/dwb.png
ifdef BASHCOMPLETION
	$(RM) $(DESTDIR)$(BASHCOMPLETION)/dwb
	unlink $(DESTDIR)$(BASHCOMPLETION)/dwbem
endif

distclean: clean

snapshot: 
	@$(MAKE) dist DISTDIR=$(REAL_NAME)-$(BUILDDATE) 

dist: distclean
	@echo "Creating tarball."
	@echo "Creating $(DISTDIR).tar.gz"
	@git archive -o $(DISTDIR).tar.gz master

.PHONY: clean install uninstall distclean install-data install-man uninstall-man uninstall-data phony options

=== doc/Makefile ===
# See COPYING for copyright and license details

all: man web

man: dwb.1 dwbem.1

web: dwb.1.html dwbem.1.html

#dwb.1: dwb.1.txt 
%.1: %.1.txt
	a2x --doctype manpage --format manpage $<

%.1.html: %.1.txt
	asciidoc -b html5 $<

=== m4/Makefile ===
# See COPYING for copyright and license details

include ../config.mk
SETTINGS=../$(HTMLDIR)/settings.html
KEYS=../$(HTMLDIR)/keys.html
OUTFILES=$(SETTINGS) $(KEYS) 

all: $(OUTFILES)

$(KEYS): keys.m4
	@echo gen keys.html
	@m4 $(M4FLAGS) $< > $@

$(SETTINGS): settings.m4
	@echo gen settings.html
	@m4 $(M4FLAGS) $< > $@

clean: 
	$(RM) $(OUTFILES)

.PHONY: clean

=== src/Makefile ===
# See COPYING for copyright and license details

BASEDIR=..

include $(BASEDIR)/config.mk


DEPS=$(patsubst %.o, %.d, $(OBJ))

all: $(TARGET)

$(TARGET): $(OBJ) 
	@echo "$(CC) $@"
	@$(CC) $(OBJ) -o $(TARGET) $(LDFLAGS) 

-include $(OBJ:.o=.d)
-include $(DOBJ:.do=.dd)

%.o: %.c %.h config.h dwb.h
	@echo "${CC} $<"
	@$(CC) -c -o $@ $< $(CFLAGS) $(CPPFLAGS) 

debug: $(DTARGET)

deps.d: %.c %.h
	@echo "$(CC) -MM $@"
	@$(CC) $(CFLAGS) -MM $< -o $@


%.do: %.c %.h config.h
	@echo "${CC} $<"
	@$(CC) -c -o $@ $< $(DCFLAGS) 

$(DTARGET): $(DOBJ) 
	@echo "$(CC) $@"
	@$(CC) $(DOBJ) -o $(DTARGET) $(LDFLAGS) 

dependencies: $(DEPS)

deps: 
	$(MAKE) -B dependencies

cgdb: debug
	cgdb $(DTARGET)

clean:
	$(RM) *.o  *.do $(TARGET) $(DTARGET) *.d
	$(RM) tlds.h

.PHONY: clean all cgdb deps

=== tools/Makefile ===
# See COPYING for copyright and license details

include ../config.mk
TARGET=dwbem

OBJ = $(patsubst %.c, %.o, $(wildcard *.c))
LIBS=libsoup-2.4 glib-2.0

SYSTEM_EXTENSION_DIR=$(PREFIX)/share/dwb/extensions

CFLAGS := $(CFLAGS)
CFLAGS += -std=c99 
CFLAGS += -Wall -g
CFLAGS += -Wextra -Werror=format-security 
CFLAGS += $(shell pkg-config --cflags $(LIBS))
CFLAGS += -DSYSTEM_EXTENSION_DIR=\"$(SYSTEM_EXTENSION_DIR)\"


LDFLAGS := $(LDFLAGS)
LDFLAGS += $(shell pkg-config --libs $(LIBS))

all: $(TARGET)

$(TARGET): $(OBJ)
	@echo $(CC) $@
	@$(CC) $< -o $@ $(LDFLAGS)

%.o: %.c
	@echo $(CC) $<
	@$(CC) $(CFLAGS) -c $< -o $@ $(CPPFLAGS)

clean: 
	rm -f $(TARGET) $(OBJ)

.PHONY: clean

=== doc/api/Makefile ===
# See COPYING for copyright and license details

BASEDIR=../..

include $(BASEDIR)/config.mk

all: web man webman

man: dwb-js.7

webman: jsapi.7.html

jsapi.7.html: jsapi.7.txt
	asciidoc -b html5 -a toc2 $<

dwb-js.7: jsapi.7.txt
	a2x -v --doctype manpage --format manpage $< -D $(BASEDIR)/$(DOCDIR)

=== src/util/Makefile ===
# See COPYING for copyright and license details

BASE_DIR=../..
include $(BASE_DIR)/config.mk

TLDS_H=$(BASE_DIR)/$(SRCDIR)/tlds.h
TLDS_IN=tlds.in
MKTLDS=mktlds-header
MKTLDS_SRC=mktlds-header.c


HSTS=convert_transport_security
HSTS_PRELOAD=$(BASE_DIR)/$(SRCDIR)/hsts_preload.h
TRANSPORT_SECURITY_JSON=transport_security_state_static.json
TRANSPORT_SECURITY_CERTS=transport_security_state_static.certs

LIBS=glib-2.0 gnutls json
CFLAGS+=$(shell pkg-config --cflags $(LIBS))
LDFLAGS=$(shell pkg-config --libs $(LIBS))

ifeq (${DISABLE_HSTS}, 1)
OUTFILES=$(TLDS_H)
GEN_TOOLS=$(MKTLDS)
else
GEN_TOOLS=$(HSTS) $(MKTLDS)
OUTFILES=$(HSTS_PRELOAD) $(TLDS_H)
endif


all: $(OUTFILES)

$(TLDS_H): $(TLDS_IN) $(MKTLDS)
	@echo gen $(notdir $@)
	@./$(MKTLDS) < $(TLDS_IN) > $@

$(MKTLDS): $(MKTLDS_SRC)
	@echo "${CC} $<"
	@$(CC) -o $@ $< $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)

$(HSTS_PRELOAD): $(HSTS) $(TRANSPORT_SECURITY_CERTS) $(TRANSPORT_SECURITY_JSON)
	@echo gen $(notdir $@)
	@./$(HSTS) > $@

$(HSTS): $(HSTS).c
	@echo "${CC} $<"
	@$(CC) $(CFLAGS) $(CPPFLAGS) -o $(HSTS) $(HSTS).c $(LDFLAGS)

clean: 
	$(RM) $(OUTFILES) $(GEN_TOOLS)

.PHONY: clean

=== debian/changelog ===
dwb (20130503hg-2ubuntu1) trusty; urgency=medium

  * Don't build with GTK/GDK_DISABLE_DEPRECATED to fix FTBFS:
    view.c:1188:52: error: 'GTK_STOCK_DIALOG_ERROR' undeclared 
    (will be fixed in next upstream release)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Thu, 06 Feb 2014 20:27:14 +0100

dwb (20130503hg-2) unstable; urgency=low

  * Fixed update-alternatives from failing during upgrade
  * Enabling all hardening options, hardening was already enabled
    - but now all hardening options are enabled.
  * Changed libglib2.0-dev to libglib2.0-dev (>= 2.36)
    Newer libglib2 is needed to run correctly

 -- Nathan Owens <ndowens@gmx.us>  Thu, 09 May 2013 07:50:13 +0000

dwb (20130503hg-1) unstable; urgency=low
  
  * Updated version to latest git release
  * Added patch config-mk.patch to fix .git not found during compile
  * Fixes redundant call to update-menu in init scripts (Closes: #706688)
  * Added dwb.1 as part of alternative for x-www-browser (Closes: #706685)
  * Release fixes implicit conversion of double to enum (Closes: #688568)

 -- Nathan Owens <ndowens@gmx.us>  Sat, 04 May 2013 18:17:43 -0500

dwb (20130424hg-1) unstable; urgency=low

  * Tentative fixing https-related bug that crashes browser (Closes: #699072).
  * Fixed typo 'histroy" in control file (Closes: #685152).
  * Changed 'webkit' to 'WebKit' (Closes: #685152).
  * Added requested support for update-alternatives (Closes: #688301).
  * Added #DEBHELPER# to postinst and postrm script.
  * Removed dwb/.git and .pc files.
  * Cleaned up control and rules file to make it easier to read.
  * Created manpage patch to fix some typos in the manpage(doc/dwb-js.7).
  * Updated Package to the latest version from GIT from 04/09/2013.

 -- Nathan Owens <ndowens@gmx.us>  Tue, 23 Apr 2013 05:18:37 -0500

=== debian/control ===
Source: dwb
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nathan Owens <ndowens@gmx.us>
Build-Depends: debhelper (>= 9),
 libwebkitgtk-3.0-dev,
 libgnutls-dev,
 libsoup2.4-dev,
 libjson0-dev,
 m4,
 libglib2.0-dev (>= 2.36)
Standards-Version: 3.9.4
Homepage: http://portix.bitbucket.org/dwb/

Package: dwb
Architecture: any
Depends: ${shlibs:Depends}, 
	 ${misc:Depends}
Provides: www-browser
Recommends: wget, xterm
Description: lightweight WebKit browser
 Highly customizable browser that can be easily configured through a web
 interface. Intends to be mostly keyboard driven.
 .
 Features:
  - vi like shortcuts
  - Link followed by keyboard hints
  - Bookmarks
  - Quickmarks
  - Cookie support
  - Proxy support
  - Userscript support
  - Tab completion for history, bookmarks, userscripts
  - Custom CSS Stylesheets
  - Tiling layouts
  - and more...

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export GTK=3
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

COMMIT=d6755999c1b16af33353a4fc248a3e8c56abe49d
get-orig-source:
	TMPD=`mktemp -d` && \
		git clone https://bitbucket.org/portix/dwb.git \
			"$$TMPD/dwb" && \
    CDATE=`git --git-dir="$$TMPD/dwb/.git" show \
			--format=format:%ci -s $(COMMIT) | \
			awk '{ gsub(/-/,""); print $$1 }'` && \
		git --git-dir="$$TMPD/dwb/.git" archive \
			--prefix=dwb/ $(COMMIT) | \
			bzip2 > ../dwb_"$$CDATE"hg.orig.tar.bz2 && \
		rm -rf $$TMPD

%:
	dh $@

=== debian/watch ===
version=3
http://bitbucket.org/portix/dwb/downloads/dwb-(.+).tar.gz

## dwb 20140702hg

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 options: 
 	@echo Build options:
-	@echo CC 				= $(CC)
-	@echo CFLAGS 		= $(CFLAGS_OPTIONS)
+	@echo CC 		= $(CC)
+	@echo CFLAGS 	= $(CFLAGS_OPTIONS)
 	@echo LDFLAGS 	= $(LDFLAGS)
 	@echo CPPFLAGS 	= $(CPPFLAGS)
 
@@ -18,12 +18,13 @@
 
 #$(SRCDIR)/%: $(SUBDIR_BUILD_FIRST:%=%.subdir-buildfirst)
 
-%.subdir-buildfirst:
+%.subdir-buildfirst: 
 	@$(MAKE) $(MFLAGS) -C $*
 
-clean:  $(SUBDIRS:%=%.subdir-clean) $(SUBDIR_BUILD_FIRST:%=%.subdir-cleanfirst)
+clean:  $(SUBDIRS:%=%.subdir-clean) $(SUBDIR_BUILD_FIRST:%=%.subdir-cleanfirst) $(SUBDIR_BUILD_LIB:%=%.subdir-cleanlib)
+	-$(RM) -r sandbox
 
-%.subdir-clean %.subdir-cleanfirst:
+%.subdir-clean %.subdir-cleanfirst %.subdir-cleanlib:
 	@$(MAKE) $(MFLAGS) clean -C $*
 
 
@@ -31,12 +32,14 @@
 	@# Install binaries
 	install -d $(DESTDIR)$(BINDIR)
 	install -m 755 $(SRCDIR)/$(TARGET) $(DESTDIR)$(BINDIR)/$(TARGET)
-	install -m 755 $(TOOLDIR)/$(EXTENSION_MANAGER) $(DESTDIR)$(BINDIR)/$(EXTENSION_MANAGER)
+	install -m 755 $(DWBEMDIR)/$(EXTENSION_MANAGER) $(DESTDIR)$(BINDIR)/$(EXTENSION_MANAGER)
+	install -m 755 $(DWBRCDIR)/$(DWBRC) $(DESTDIR)$(BINDIR)/$(DWBRC)
 
 install-man: all
 	install -d $(DESTDIR)$(MAN1DIR)
 	install -m 644 $(DOCDIR)/$(MANFILE) $(DESTDIR)$(MAN1DIR)/$(MANFILE)
 	install -m 644 $(DOCDIR)/$(EXTENSION_MANAGER).1 $(DESTDIR)$(MAN1DIR)/$(EXTENSION_MANAGER).1
+	install -m 644 $(DOCDIR)/$(DWBRC).1 $(DESTDIR)$(MAN1DIR)/$(DWBRC).1
 	install -d $(DESTDIR)$(MAN7DIR)
 	install -m 644 $(DOCDIR)/$(MANAPI) $(DESTDIR)$(MAN7DIR)/$(MANAPI)
 
@@ -56,14 +59,24 @@
 	install -m 644 $(JSDIR)/$(BASE_SCRIPT) $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(JSDIR)/$(BASE_SCRIPT)
 	@# Libjs
 	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(LIBJSDIR)
-	for file in $(LIBJSDIR)/*; do \
+	for file in $(LIBJSDIR)/*.js; do \
 		install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
 	done
 	@#Extensions
 	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(EXTENSIONDIR)
 	for file in $(EXTENSIONDIR)/*; do \
-		install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
+		if [ -f $$file ]; then \
+			install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
+		fi \
 	done
+	@#Modules
+	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(MODULEDIR)
+	for file in $(MODULEDIR)/*; do \
+		if [ -f $$file ]; then \
+			install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
+		fi \
+	done
+
 ifdef BASHCOMPLETION
 	install -d $(DESTDIR)/$(BASHCOMPLETION)
 	install -m 644 $(CONTRIBDIR)/bash-completion $(DESTDIR)/$(BASHCOMPLETION)/dwb
@@ -75,10 +88,12 @@
 	@echo "Removing executable from $(subst //,/,$(DESTDIR)$(BINDIR))"
 	@$(RM) $(DESTDIR)$(BINDIR)/$(TARGET)
 	@$(RM) $(DESTDIR)$(BINDIR)/$(EXTENSION_MANAGER)
+	@$(RM) $(DESTDIR)$(BINDIR)/$(DWBRC)
 
 uninstall-man: 
 	$(RM) $(DESTDIR)$(MAN1DIR)/$(MANFILE)
 	$(RM) $(DESTDIR)$(MAN1DIR)/$(EXTENSION_MANAGER).1
+	$(RM) $(DESTDIR)$(MAN1DIR)/$(DWBRC).1
 	$(RM) $(DESTDIR)$(MAN7DIR)/$(MANAPI)
 
 uninstall-data: 
@@ -90,7 +105,17 @@
 	unlink $(DESTDIR)$(BASHCOMPLETION)/dwbem
 endif
 
+doc: $(wildcard $(DOCDIR)/*.txt)
+	@$(MAKE) -C $(DOCDIR)
+
 distclean: clean
+
+runsandbox: sandbox
+	./sandbox/bin/dwb
+
+sandbox: clean
+	make PREFIX=$(CURDIR)/sandbox DESTDIR= install
+
 
 snapshot: 
 	@$(MAKE) dist DISTDIR=$(REAL_NAME)-$(BUILDDATE) 
@@ -98,6 +123,6 @@
 dist: distclean
 	@echo "Creating tarball."
 	@echo "Creating $(DISTDIR).tar.gz"
-	@git archive -o $(DISTDIR).tar.gz master
+	@git archive --prefix $(DISTDIR)/ -o $(DISTDIR).tar.gz master
 
 .PHONY: clean install uninstall distclean install-data install-man uninstall-man uninstall-data phony options

=== doc/Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 all: man web
 
-man: dwb.1 dwbem.1
+man: dwb.1 dwbem.1 dwbremote.1
 
-web: dwb.1.html dwbem.1.html
+web: dwb.1.html dwbem.1.html dwbremote.1.html 
 
 #dwb.1: dwb.1.txt 
 %.1: %.1.txt

=== dwbem/Makefile ===
# See COPYING for copyright and license details

include ../config.mk
TARGET=dwbem

BASEDIR = ..

CFLAGS += -I$(BASEDIR)/$(DWB_LIB_DIR_EXAR)

OBJ = $(patsubst %.c, %.o, $(wildcard *.c)) 
OBJ += $(BASEDIR)/$(OBJEXAR)


SYSTEM_EXTENSION_DIR=$(PREFIX)/share/dwb/extensions

CFLAGS := $(CFLAGS)
CFLAGS += -std=c99 
CFLAGS += -Wall -O2 -pedantic
CFLAGS += -Wextra -Werror=format-security 
CFLAGS += $(shell pkg-config --cflags $(LIBS))
CFLAGS += -DSYSTEM_EXTENSION_DIR=\"$(SYSTEM_EXTENSION_DIR)\"


LDFLAGS := $(LDFLAGS)
LDFLAGS += $(shell pkg-config --libs $(LIBS))

all: $(TARGET)

$(TARGET): $(OBJ)
	@echo $(CC) -o $@
	@$(CC) $(OBJ) -o $@ $(LDFLAGS)

%.o: %.c
	@echo $(CC) $< 
	@$(CC) $(CFLAGS) -c $< -o $@ $(CPPFLAGS)

clean: 
	rm -f $(TARGET) $(OBJ)

.PHONY: clean

=== exar/Makefile ===
ORIG_CFLAGS := $(CFLAGS)

CFLAGS := -Wall -pedantic -Werror -Wextra -std=c99 -O2
CFLAGS += $(ORIG_CFLAGS)

DCFLAGS += -g -O0 -Wall -pedantic -Werror -Wextra -std=c99 
DCFLAGS += $(ORIG_CFLAGS)

TARGET = exar
OBJ = $(patsubst %.c, %.o, $(wildcard *.c))

SHARED_OBJ = exar.o 

all: $(SHARED_OBJ)

$(TARGET): $(OBJ)
	@echo $(CC) -o $@
	@$(CC) $(OBJ) -o $@ $(CFLAGS) $(CPPFLAGS)

%.o: %.c 
	@echo $(CC) $< 
	@$(CC) -c $< -o $@ $(CFLAGS) $(CPPFLAGS)

debug: 
	make CFLAGS="$(DCFLAGS)"

cgdb: 
	make CFLAGS="$(DCFLAGS)" exar
	cgdb exar

clean: 
	$(RM) $(OBJ) $(TARGET)

.PHONY: clean

=== src/Makefile ===
--- 
+++ 
@@ -2,22 +2,46 @@
 
 BASEDIR=..
 
+REAL_NAME=dwb
+COPYRIGHT="(C) 2010-2013 Stefan Bolte"
+LICENSE="GNU General Public License, version 3 or later"
+
 include $(BASEDIR)/config.mk
+include config.mk
 
+SCRIPTDIR = scripts
 
-DEPS=$(patsubst %.o, %.d, $(OBJ))
+SRCSCRIPTS = $(wildcard $(SCRIPTDIR)/*.c)
+OBJSCRIPTS = ${SRCSCRIPTS:.c=.o}
+
+CFLAGS+=-I$(BASEDIR)/$(DWB_LIB_DIR_EXAR)
+CFLAGS+=-I$(BASEDIR)/$(DWB_LIB_DIR_RC)
+
+CFLAGS += -DNAME=\"$(NAME)\" 
+CFLAGS += -DVERSION=\"$(VERSION)\" 
+CFLAGS += -DCOPYRIGHT=\"$(COPYRIGHT)\"
+CFLAGS += -DLICENSE=\"$(LICENSE)\"
+CFLAGS += -DREAL_NAME=\"$(REAL_NAME)\"
+
+DEPS=$(patsubst %.o, %.d, $(OBJ)) 
+
+OBJ += $(BASEDIR)/$(OBJEXAR)
+OBJ += $(BASEDIR)/$(OBJRC)
+OBJ += $(OBJSCRIPTS)
+
+DOBJ := $(OBJ:.o=.do)
 
 all: $(TARGET)
 
 $(TARGET): $(OBJ) 
-	@echo "$(CC) $@"
+	@echo $(CC) -o $@
 	@$(CC) $(OBJ) -o $(TARGET) $(LDFLAGS) 
 
 -include $(OBJ:.o=.d)
 -include $(DOBJ:.do=.dd)
 
 %.o: %.c %.h config.h dwb.h
-	@echo "${CC} $<"
+	@echo $(CC) $<
 	@$(CC) -c -o $@ $< $(CFLAGS) $(CPPFLAGS) 
 
 debug: $(DTARGET)
@@ -31,7 +55,7 @@
 	@echo "${CC} $<"
 	@$(CC) -c -o $@ $< $(DCFLAGS) 
 
-$(DTARGET): $(DOBJ) 
+$(DTARGET): $(DOBJ)
 	@echo "$(CC) $@"
 	@$(CC) $(DOBJ) -o $(DTARGET) $(LDFLAGS) 
 
@@ -46,5 +70,6 @@
 clean:
 	$(RM) *.o  *.do $(TARGET) $(DTARGET) *.d
 	$(RM) tlds.h
+	$(RM) $(OBJSCRIPTS)
 
 .PHONY: clean all cgdb deps

=== extensions/src/Makefile ===
EXTENSIONS=cookies bookmarklets
BASEDIR=..
DWBEM=./../../dwbem/dwbem


all: ${EXTENSIONS}

${EXTENSIONS}: .FORCE
	@echo packing $@
	@${DWBEM} --archive p $@ ${BASEDIR}/$@

clean:
	${RM} ${BASEDIR}/${EXTENSIONS}

.FORCE: 

.PHONY: clean

=== src/util/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 TRANSPORT_SECURITY_JSON=transport_security_state_static.json
 TRANSPORT_SECURITY_CERTS=transport_security_state_static.certs
 
-LIBS=glib-2.0 gnutls json
+LIBS=glib-2.0 gnutls $(JSONC)
 CFLAGS+=$(shell pkg-config --cflags $(LIBS))
 LDFLAGS=$(shell pkg-config --libs $(LIBS))
 
@@ -34,7 +34,7 @@
 	@./$(MKTLDS) < $(TLDS_IN) > $@
 
 $(MKTLDS): $(MKTLDS_SRC)
-	@echo "${CC} $<"
+	@echo $(CC) $< 
 	@$(CC) -o $@ $< $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
 
 $(HSTS_PRELOAD): $(HSTS) $(TRANSPORT_SECURITY_CERTS) $(TRANSPORT_SECURITY_JSON)
@@ -42,7 +42,7 @@
 	@./$(HSTS) > $@
 
 $(HSTS): $(HSTS).c
-	@echo "${CC} $<"
+	@echo $(CC) $< 
 	@$(CC) $(CFLAGS) $(CPPFLAGS) -o $(HSTS) $(HSTS).c $(LDFLAGS)
 
 clean:

=== debian/changelog ===
dwb (20140702hg-2) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Taking patch from Fedora: dwb-gtk-deprecated.patch -- fix FTBFS.
    (Closes: #763220)

  [ Sebastian Ramacher]
  * debian/control: Add myself to Uploaders.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 30 Oct 2014 01:49:05 +0100

dwb (20140702hg-1) unstable; urgency=medium

  * Updated to newer upstream version
    -- Fixes Invalid enum type (Closes: #748303)
    -- Added libsecret-1-dev
       -- Adds support for storing and retrieving passwords

  * Built against libgnutls28-dev (Closes: #752310)
    -- older GnuTLS versions should not be part of jessie
	
 -- Nathan Owens <ndowens@gmx.us>  Thu, 03 Jul 2014 15:09:51 -0500

dwb (20140415hg-1) unstable; urgency=medium

  * Updated to newer upstream snapshot
    -- Fixes dbus error with libglib(v.2.40) (Closes: #745396) 

 -- Nathan Owens <ndowens@gmx.us>  Tue, 22 Apr 2014 13:48:01 +0000

dwb (20140307hg-3) unstable; urgency=medium

  * Changed libjson0-dev to libjson-c-dev (Closes: #745002)

 -- Nathan Owens <ndowens@gmx.us>  Thu, 17 Apr 2014 13:30:31 +0000

dwb (20140307hg-2) unstable; urgency=medium

  * Added support for Bash completion (Closes: #743039)

 -- Nathan Owens <ndowens@gmx.us>  Sun, 30 Mar 2014 22:53:36 +0000

dwb (20140307hg-1) unstable; urgency=medium

  * Updated to upstream snapshot
    - Fixes saving of settings (Closes: #738648)
    - Fixes use of deprecated functions (Closes: #741776)
  * Fixed typo in dwb.postinst (Closes: #719066)
    - Prevented updating www-alternative
  * Removed dwb_1.patch, no longer needed
  * Bump Standards-Version to 3.9.5
  
 -- Nathan Owens <ndowens@gmx.us>  Wed, 26 Mar 2014 17:45:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: dwb
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nathan Owens <ndowens@gmx.us>
+Maintainer: Nathan Owens <ndowens@gmx.us>
+Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper (>= 9),
  libwebkitgtk-3.0-dev,
- libgnutls-dev,
+ libgnutls28-dev,
  libsoup2.4-dev,
- libjson0-dev,
+ libjson-c-dev,
  m4,
- libglib2.0-dev (>= 2.36)
-Standards-Version: 3.9.4
+ libglib2.0-dev (>= 2.36),
+ libsecret-1-dev
+Standards-Version: 3.9.5
 Homepage: http://portix.bitbucket.org/dwb/
 
 Package: dwb

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export GTK=3
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
 
-COMMIT=d6755999c1b16af33353a4fc248a3e8c56abe49d
+
+COMMIT=6224470489eb5ba92987e01396269f8b7cd78ada
 get-orig-source:
 	TMPD=`mktemp -d` && \
 		git clone https://bitbucket.org/portix/dwb.git \
@@ -17,5 +20,10 @@
 			bzip2 > ../dwb_"$$CDATE"hg.orig.tar.bz2 && \
 		rm -rf $$TMPD
 
+override_dh_install:
+	mkdir -p debian/dwb/usr/share/bash-completion/completions
+	install -m 644 contrib/bash-completion \
+		debian/dwb/usr/share/bash-completion/completions/dwb
+	dh_install
 %:
 	dh $@

## dwb 20150419git

=== Makefile ===
--- 
+++ 
@@ -74,6 +74,11 @@
 	for file in $(MODULEDIR)/*; do \
 		if [ -f $$file ]; then \
 			install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
+		elif [ -d $$file ]; then \
+			install -d $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
+			for modfile in $$file/*; do \
+				install -m644 $$modfile $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$modfile; \
+			done \
 		fi \
 	done

=== dwbremote/Makefile ===
BASE_DIR=..

REAL_NAME=dwbremote
COPYRIGHT="(C) 2013 Stefan Bolte"
LICENSE="GNU General Public License, version 3 or later"

include $(BASE_DIR)/version.mk


CFLAGS += -Wall -pedantic -Werror -Wextra -std=c99 -Os
CFLAGS += -DVERSION=\"$(VERSION)\"
CFLAGS += -DNAME=\"$(NAME)\"
CFLAGS += -DCOPYRIGHT=\"$(COPYRIGHT)\"
CFLAGS += -DLICENSE=\"$(LICENSE)\"


LDFLAGS += -lX11

DCFLAGS += -g -O0 -Wall -pedantic -Werror -Wextra -std=c99 
DCFLAGS += $(ORIG_CFLAGS)

TARGET = dwbremote
OBJ = $(patsubst %.c, %.o, $(wildcard *.c))

SHARED_OBJ = dwbremote.o

all: $(TARGET)

$(TARGET): $(SHARED_OBJ) main.o
	@echo $(CC) -o $@
	@$(CC) $(OBJ) -o $@ $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)

%.o: %.c 
	@echo $(CC) $< 
	@$(CC) -c $< -o $@ $(CFLAGS) $(CPPFLAGS)

debug: 
	make CFLAGS="$(DCFLAGS)"

cgdb: 
	make CFLAGS="$(DCFLAGS)"
	cgdb dwbremote

clean: 
	$(RM) $(OBJ) $(TARGET)

.PHONY: clean

=== doc/api/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 include $(BASEDIR)/config.mk
 
-all: web man webman
+all: man webman
 
 man: dwb-js.7

=== scripts/lib/Makefile ===
# See COPYING for copyright and license details
TARGETS := $(patsubst %.js.in, %.js, $(wildcard *.js.in)) 
CFLAGS := -std=c99 -Wall -Wextra -pedantic -Werror -O2

all: $(TARGETS)

%.js: %.js.in minify
	@echo gen $@ 
	@./minify $< $@

minify: minify.c
	$(CC) $< -o $@ ${CFLAGS} ${CPPFLAGS}

clean:  
	$(RM) $(TARGETS)
	$(RM) minify

.PHONY: clean

=== debian/changelog ===
dwb (20150419git-2) unstable; urgency=medium

  * QA upload.
  * debian/control: Orphan package.
  * debian/patches/no-Werror.patch: Do not build with -Werror. (Closes:
    #809569)
  * debian/menu: Removed since dwb includes a desktop file.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Jan 2016 17:39:03 +0100

dwb (20150419git-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/rules: Compress orig tarball with xz.
  * debian/control: Bump Standards-Version to 3.9.6.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 May 2015 18:09:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dwb
 Section: web
 Priority: extra
-Maintainer: Nathan Owens <ndowens@gmx.us>
-Uploaders: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9),
  libwebkitgtk-3.0-dev,
  libgnutls28-dev,
@@ -11,13 +10,13 @@
  m4,
  libglib2.0-dev (>= 2.36),
  libsecret-1-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://portix.bitbucket.org/dwb/
 
 Package: dwb
 Architecture: any
-Depends: ${shlibs:Depends}, 
-	 ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Provides: www-browser
 Recommends: wget, xterm
 Description: lightweight WebKit browser

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export GTK=3
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_install:
	mkdir -p debian/dwb/usr/share/bash-completion/completions
	install -m 644 contrib/bash-completion \
		debian/dwb/usr/share/bash-completion/completions/dwb
	dh_install

COMMIT=8ba11e59a7400bcc0e30c006a35db8d0ef4ad9fe
get-orig-source:
	TMPD=`mktemp -d` && \
		git clone https://bitbucket.org/portix/dwb.git \
			"$$TMPD/dwb" && \
			CDATE=`git --git-dir="$$TMPD/dwb/.git" show \
			--format=format:%ci -s $(COMMIT) | \
			awk '{ gsub(/-/,""); print $$1 }'` && \
		git --git-dir="$$TMPD/dwb/.git" archive \
			--prefix=dwb/ $(COMMIT) | \
			xz > ../dwb_"$$CDATE"git.orig.tar.xz && \
		rm -rf $$TMPD
